part of 'models_test.z.schema.g.dart';

class _PersistFeature extends PersistFeature {
  _PersistFeature(
      {required String path,
      required int version,
      required CompactionStrategy compactionStrategy,
      required Converter converter,
      required OnUpgrade onUpgrade})
      : super(path, version, compactionStrategy, converter, onUpgrade);

  @override
  void putRecord(DataRecord record) {
    final v = converter.decodePut(record);
    if (v is ImageSnap)
      put(v);
    else
      throw Exception('unknown type $v during PersistFeature.putRecord');
  }

  @override
  void removeRecord(DataRecord record) {
    final k = converter.decodeRemove(record);
    if (k is ImageKey)
      remove(k);
    else
      throw Exception('unknown type $k during PersistFeature.removeRecord');
  }
}
